$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.495-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.495-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2A487590DEE35463646F9CDDB73C98ECE0DB6C6E1DFC8865F8A16FE6EBACC374'
  checksumType = 'sha256'
  checksum64 = '2A487590DEE35463646F9CDDB73C98ECE0DB6C6E1DFC8865F8A16FE6EBACC374'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.495-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
